* {
  margin: 0;
  padding: 0;
}

body {
  width: 100%;
  height: 100%;
  overflow: hidden;
}

#main {
  position: absolute;
  top: 50%;
  left: 50%;
  margin-top: -350px;
  margin-left: -350px;
}

#main #clock {
  position: absolute;
  top: 50%;
  left: 50%;
  width: 700px;
  height: 700px;
  transform: rotate(-90deg) translate(-50%, -50%);
  -ms-transform: rotate(-90deg);
  -webkit-transform: rotate(-90deg);
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
}
